Skip to main content
PATCH
/
connectors
/
{service_name}
Update destination type
curl --request PATCH \
  --url https://app.getcensus.com/api/v1/connectors/{service_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connector": {
    "data": {
      "url": "https://example.com",
      "headers": {
        "Authorization": "Bearer {{ api_token }}"
      }
    },
    "label": "Braze",
    "icon_url": "https://example.com/icon.png",
    "configuration_definition": {}
  }
}
'
{
  "status": "updated"
}

Authorizations

Authorization
string
header
required

Bearer token for the current workspace. Can be retrieved from the Workspace's settings page.

Path Parameters

service_name
string
required

Name of the destination type to update

Body

application/json
connector
object
required

Response

200 - application/json

Connector updated successfully

status
enum<string>

Outcome of the operation.

Available options:
success,
updated,
created,
not_found,
error
Example:

"updated"

data
object